<p align="center">
    <picture>
      <source media="(prefers-color-scheme: dark)" srcset="https://cachethq.io/assets/cachet-logo-dark.svg">
      <img alt="Cachet Logo" src="https://cachethq.io/assets/cachet-logo-light.svg">
    </picture>
</p>

Cachet, the open-source self-hosted status page system.

## Cachet 3.x Announcement

For more information on the Cachet rebuild and our plans for 3.x, you can read the announcement [here](https://github.com/CachetHQ/Cachet/discussions/4342).

## Requirements

- PHP 8.2 or later
- [Composer](https://getcomposer.org)
- A supported database: MariaDB, MySQL, PostgreSQL or SQLite

## Installation, Upgrades and Documentation

You can find documentation at [https://docs.cachethq.io](https://docs.cachethq.io).

Here are some useful quick links:

- [Installing Cachet](https://docs.cachethq.io/installation/)
- [Getting started with Docker](https://docs.cachethq.io/installation/docker)

### Demo

To test out the v3 demo, you can log in to the [Cachet dashboard](https://v3.cachethq.io/dashboard) with the following credentials:

- **Email:** `test@test.com`
- **Password:** `test123`

> **Note**
> The demo will automatically reset every 30 minutes.
> 
## Sponsors

<p align="center">
    <a href="https://jump24.co.uk"><img width="100px" src="https://github.com/jumptwentyfour.png" alt="Jump24"></a>
    <a href="https://dreamtilt.com.au"><img width="100px" src="https://github.com/dreamtilt.png" alt="Dreamtilt"></a>
    <a href="https://xyphen-it.nl"><img width="100px" src="https://github.com/xyphen-it.png" alt="Xyphen-IT"></a>
    <a href="https://coderabbit.ai/"><img width="100px" src="https://github.com/coderabbitai.png" alt="Code Rabbit"></a>
    <a href="https://scramble.dedoc.co/"><img width="100px" src="https://github.com/dedoc.png" alt="de:doc"></a>
</p>

## Security Vulnerabilities

If you discover a security vulnerability within Cachet, please send an e-mail to [support@cachethq.io](mailto:support@cachethq.io?Cachet%20Security%20Vulnerability). All security vulnerabilities are reviewed on a case-by-case basis.
