# Cachet Trademark Guidelines

This trademark policy was prepared to help you understand how to use the Cachet trademarks, service marks and logos.

While the copyright to our open source software is licensed under the Cachet license, our trademarks appearing in or on the open source software are the exclusive property of Cachet Inc. This means that our open source license does not include a license to use our trademarks.

Because we make some of our code available to download and modify, proper use of our trademarks is essential to inform people whether or not Cachet stands behind a product or service. When using Cachet trademarks, you must comply with these Cachet Trademark Guidelines.

This policy is intended to explain how to use our trademarks in a way that is consistent with background law and community expectations. This policy covers:

1. Our word trademarks and service marks: Cachet
2. Our logos: The Cachet logos

This policy encompasses all trademarks and service marks, whether they are registered or not.

## General guidelines

Whenever you use one of our marks, you must always do so in a way that does not mislead anyone about what they are getting and from whom.

Do not use the Cachet marks in any way that could mistakenly imply that Cachet has reviewed, approved or guaranteed your goods or services. You also cannot use our logo on your website in a way that suggests that your website is an official website or that we endorse your website. You can, though, say you like the Cachet software, that you use Cachet, that the analytics are powered by Cachet or that you participate in the Cachet community.

Do not use the "Cachet" prefix in a way that could mistakenly imply that your product is related to Cachet. For example, an analytics product that uses Cachet should not use the name "cachetanalytics".

You may not use or register our marks or variations of them as part of your trademark, business, product, service, app, domain name, social media account or business indicator. You may not use our marks as a part of an advertising campaign. You may not display Cachet trademarks more prominently than your product, service or company name. You may not use Cachet trademarks on merchandise for sale (e.g., selling t-shirts, mugs, etc).

Trademark law does not allow your use of names or trademarks that are too similar to ours. You therefore may not use an obvious variation of any of our marks or any phonetic equivalent, foreign language equivalent, takeoff, or abbreviation for a similar or compatible product or service.

## Acceptable uses

You can use the Cachet name to truthfully and accurately refer to or identify Cachet and its products and services in the following instances:

- To refer to Cachet and its products and services in news articles and other content without alteration
- To discuss Cachet and its products in a fair and honest manner that does not suggest sponsorship or endorsement by or affiliation with Cachet
- To refer to and/or to link to the products and services hosted on Cachet’s servers and website
- To indicate if your product, service or solution integrates, or is interoperable or compatible, with Cachet, for example, “we offer a simple integration with Cachet”, provided that doing so does not create a likelihood of confusion as to the origin of such product, service, or solution
- You may use our word marks as part of a public subdomain solely for the purpose of serving as the URL for your self-managed Cachet instance, for example, cachethq.iopanyname.com

## Prohibited uses

Unless you have express written permission from Cachet, or your use is permitted pursuant to the acceptable uses set forth above, the use of Cachet trademarks is strictly prohibited. Here is a short, non-exhaustive list of the kinds of uses that are not permitted without Cachet’s express written permission but that Cachet may consider granting you the right to do should you request permission:

- Use of Cachet trademarks in connection with the provision of a public website that makes Cachet software available for installation and use on a server (rather than directing users to the official Cachet site)
- Use of Cachet trademarks in connection with versions of Cachet products made publicly available or made available in the cloud on a managed service provider, resale or other commercial basis
- Use of Cachet trademarks in connection with Cachet product bundled with other software

In the above cases:

- You must follow the terms of the open source license for Cachet software products and code
- You must remove all of our logos from it and choose your branding, logos and trademarks that denote your unique identity to clearly signal to users that there is no affiliation with or endorsement by Cachet
- You must not use any Cachet trademark in connection with the user-facing name, branding or marketing materials of your project
- You may use word marks, but not our logos, in truthful statements that describe the relationship between your software and ours, for example, “this software is derived from the source code of the Cachet software”, as long as you also include a statement that your project is not officially associated with Cachet or its products
- Cachet reserves the right in its sole discretion to (i) terminate, revoke, modify, or otherwise change permission to use the trademarks at any time and; (ii) object to any use or misuse of the trademarks in any jurisdiction worldwide. All changes to these guidelines are effective immediately when posted and your continued use of the trademarks following the posting of revised guidelines signifies your acceptance of such revision.

## To request the use of the trademarks

Anyone wishing to use any of Cachet’s trademarks in a manner other than the acceptable uses listed above, including but not limited to marketing, promotion or advertising, or on software derivative of Cachet software, must obtain Cachet’s express, written permission in advance.

To request the use of the trademarks in a manner or for a purpose not expressly permitted in these guidelines, including use for any purpose of the logos, please email [hello@cachethq.io](mailto:hello@cachethq.io) to discuss. If you need clarification on whether your use qualifies, please ask.

## To report misuse

If you want to report misuse of a Cachet trademark, please email [hello@cachethq.io](mailto:hello@cachethq.io).

Last updated: November 25 2024

These guidelines are based on the Model Trademark Guidelines, available at http://www.modeltrademarkguidelines.org., used under a Creative Commons Attribution 3.0 Unported license: https://creativecommons.org/licenses/by/3.0/deed.en_US
